import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudbrokerAccountAddUserResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerAccountAddUserProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def add_user(
        self,
        *,
        account_id: int,
        user_name: str,
        access_type: _nested.AccessTypeForSet,
    ) -> CloudbrokerAccountAddUserResultBool:
        ...
